Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 389041 - dev-scheme/plt-scheme removal request
Summary: dev-scheme/plt-scheme removal request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Scheme Project
URL: http://forums.gentoo.org/viewtopic-t-...
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-10-30 22:23 UTC by Samuli Suominen
Modified: 2011-11-28 18:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Partial libpng15 patch (plt-scheme-4.2.2-libpng15.patch,1.01 KB, patch)
2011-10-30 22:23 UTC, Samuli Suominen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2011-10-30 22:23:50 UTC
Created attachment 291313 [details, diff]
Partial libpng15 patch

No longer compiles with stable libpng-1.5.5:

./../../wxcommon/wxJPEG.cxx: In function 'void user_error_proc(png_structp, png_const_charp)':
./../../wxcommon/wxJPEG.cxx:524:20: error: invalid use of incomplete type 'png_struct {aka struct png_struct_def}'
/usr/include/libpng15/png.h:830:20: error: forward declaration of 'png_struct {aka struct png_struct_def}'
./../../wxcommon/wxJPEG.cxx: In function 'int wx_read_png(char*, wxBitmap*, int, wxColour*)':
./../../wxcommon/wxJPEG.cxx:679:25: error: invalid use of incomplete type 'png_struct {aka struct png_struct_def}'
/usr/include/libpng15/png.h:830:20: error: forward declaration of 'png_struct {aka struct png_struct_def}'
./../../wxcommon/wxJPEG.cxx: In function 'int wx_write_png(char*, wxBitmap*)':
./../../wxcommon/wxJPEG.cxx:967:25: error: invalid use of incomplete type 'png_struct {aka struct png_struct_def}'
/usr/include/libpng15/png.h:830:20: error: forward declaration of 'png_struct {aka struct png_struct_def}'
make[5]: *** [wxJPEG.lo] Error 1

After patching these issues, it fails with:

Error [CALL] 679 in ./../../wxcommon/wxJPEG.cxx: Bad place for function call, starting tok is png_set_longjmp_fn.
Error [CALL] 967 in ./../../wxcommon/wxJPEG.cxx: Bad place for function call, starting tok is png_set_longjmp_fn.
xform: Errors converting

Related discussion:

http://forums.gentoo.org/viewtopic-t-900074-highlight-.html

Once removed, these bugs can be closed:

Bug 312419
Bug 334679
Plus not sure why Bug 324161 is still open
Comment 1 Cyprien Nicolas (fulax) 2011-10-31 03:07:10 UTC
(In reply to comment #0)

Thanks Samuli for the summary of the issue, and links to related bugs and forum post, and for the p.mask message.

> Plus not sure why Bug 324161 is still open

When that bug was open, they were stable versions of dev-scheme/plt-scheme in the tree. So that bug intended to stay open until a version of dev-scheme/racket gets stabilized.

Stable keywords were dropped for plt-scheme due to libpng-1.4 bump, so I think you're right, that bug could be closed.
Comment 2 Samuli Suominen gentoo-dev 2011-10-31 14:38:10 UTC
(In reply to comment #1)
> > Plus not sure why Bug 324161 is still open

> ... so I think you're right, that bug could be closed.

Closed. Thanks for verifying.
Comment 3 Samuli Suominen gentoo-dev 2011-11-28 18:33:54 UTC
Removed from portage.